diff -Nuar lightdm-qt5-greeter-ccs-api/lightdm-qt5-greeter.conf lightdm-qt5-greeter-ccs-api.new/lightdm-qt5-greeter.conf
--- lightdm-qt5-greeter-ccs-api/lightdm-qt5-greeter.conf	2023-09-02 22:00:18.228845370 +0300
+++ lightdm-qt5-greeter-ccs-api.new/lightdm-qt5-greeter.conf	2023-09-02 22:48:06.482653731 +0300
@@ -34,11 +34,11 @@
 ;                               no shadow will be used
 
 [General]
-;greeter-icon-theme=oxygen
-;greeter-background-image=/path/to/background/image.png
-;loginform-offset-x=50%
+greeter-icon-theme=ePapirus
+greeter-background-image=/usr/share/lubuntu/wallpapers/lubuntu-default-wallpaper.png
+loginform-offset-x=20%
 ;loginform-offset-y=50%
-;loginform-show-input-chain=
+;loginform-show-input-chain=Up,Down,Left,Right,Shift
 ;ccs-contest-api-url=
 ;ccs-autologin-username=
 ;ccs-autologin-password=
diff -Nuar lightdm-qt5-greeter-ccs-api/loginform.ui lightdm-qt5-greeter-ccs-api.new/loginform.ui
--- lightdm-qt5-greeter-ccs-api/loginform.ui	2023-09-02 22:00:18.228845370 +0300
+++ lightdm-qt5-greeter-ccs-api.new/loginform.ui	2023-09-02 21:35:54.494785046 +0300
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>350</width>
-    <height>325</height>
+    <width>260</width>
+    <height>360</height>
    </rect>
   </property>
   <property name="font">
@@ -29,7 +29,7 @@
 }
 
 #formFrame { 
-    background-color: rgba(80,80,80, 180);
+    background-color: rgba(200,200,200, 128);
     border-radius: 10px;
 }
 
@@ -205,7 +205,7 @@
        <widget class="QComboBox" name="sessionCombo">
         <property name="minimumSize">
          <size>
-          <width>200</width>
+          <width>136</width>
           <height>60</height>
          </size>
         </property>
@@ -240,7 +240,7 @@
         </property>
         <property name="maximumSize">
          <size>
-          <width>80</width>
+          <width>240</width>
           <height>60</height>
          </size>
         </property>
diff -Nuar lightdm-qt5-greeter-ccs-api/mainwindow.cpp lightdm-qt5-greeter-ccs-api.new/mainwindow.cpp
--- lightdm-qt5-greeter-ccs-api/mainwindow.cpp	2023-09-02 22:00:18.228845370 +0300
+++ lightdm-qt5-greeter-ccs-api.new/mainwindow.cpp	2023-09-02 21:36:10.406938102 +0300
@@ -193,9 +193,9 @@
 
 void MainWindow::showWrongPasswordLabel(bool forAutoLogin) {
     if (forAutoLogin) {
-        m_InfoLabel->setText("Auto login failed");
+        m_InfoLabel->setText(tr("Auto login failed"));
     } else {
-        m_InfoLabel->setText("Wrong username or password");
+        m_InfoLabel->setText(tr("Wrong username or password"));
     }
     m_InfoLabel->setVisible(true);
 }
@@ -210,7 +210,7 @@
 }
 
 void MainWindow::showDoNotMachine() {
-    m_InfoLabel->setText("Do not touch the machine");
+    m_InfoLabel->setText(tr("Do not touch the machine"));
     m_InfoLabel->setVisible(true);
 }
 
diff -Nuar lightdm-qt5-greeter-ccs-api/translations/lightdm-qt5-greeter_ru_RU.ts lightdm-qt5-greeter-ccs-api.new/translations/lightdm-qt5-greeter_ru_RU.ts
--- lightdm-qt5-greeter-ccs-api/translations/lightdm-qt5-greeter_ru_RU.ts	1970-01-01 03:00:00.000000000 +0300
+++ lightdm-qt5-greeter-ccs-api.new/translations/lightdm-qt5-greeter_ru_RU.ts	2023-09-02 21:35:16.538419945 +0300
@@ -0,0 +1,65 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.1" language="ru_RU">
+<context>
+    <name>LoginForm</name>
+    <message>
+        <location filename="loginform.ui" line="20"/>
+        <source>LoginForm</source>
+        <translation>Форма входа</translation>
+    </message>
+    <message>
+        <location filename="loginform.ui" line="93"/>
+        <source>Hostname</source>
+        <translation>Имя хоста</translation>
+    </message>
+    <message>
+        <location filename="loginform.ui" line="159"/>
+        <source>user id</source>
+        <translation>имя пользователя</translation>
+    </message>
+    <message>
+        <location filename="loginform.ui" line="194"/>
+        <source>password</source>
+        <translation>пароль</translation>
+    </message>
+    <message>
+        <location filename="loginform.cpp" line="75"/>
+        <source>Shutdown</source>
+        <translation>Выключить</translation>
+    </message>
+    <message>
+        <location filename="loginform.cpp" line="76"/>
+        <source>Restart</source>
+        <translation>Перезагрузить</translation>
+    </message>
+    <message>
+        <location filename="loginform.cpp" line="77"/>
+        <source>Hibernate</source>
+        <translation>Спящий режим</translation>
+    </message>
+    <message>
+        <location filename="loginform.cpp" line="78"/>
+        <source>Suspend</source>
+        <translation>Ждущий режим</translation>
+    </message>
+</context>
+<context>
+    <name>MainWindow</name>
+    <message>
+        <location filename="mainwindow.cpp" line="196"/>
+        <source>Auto login failed</source>
+        <translation>Ошибка автоматического входа</translation>
+    </message>
+    <message>
+        <location filename="mainwindow.cpp" line="198"/>
+        <source>Wrong username or password</source>
+        <translation>Неверное имя пользователя или пароль</translation>
+    </message>
+    <message>
+        <location filename="mainwindow.cpp" line="213"/>
+        <source>Do not touch the machine</source>
+        <translation>Не прикасайтесь к машине</translation>
+    </message>
+</context>
+</TS>
